Subject: Re: question on powerpc pthread mutexes and memory barriers

From: "Chris Friesen" <[email-masked]>
Date: Thu, 09 Jul 2009 16:42:56 -0600

Chris Friesen wrote:
> Hi all,
> 
> This probably isn't the right place to ask about this, but does anyone
> know where the implied memory barrier happens for pthread mutexes in the
> uncontended case?  I'm looking at the glibc code and I don't see any
> barrier instructions for mutexes, only semaphores and spinlocks.

Bad form to follow up on my own question, but I tracked it down.   The
barriers are there hidden in the atomic macros.

Sorry for the noise.

Chris